Next: psb_cd_get_global_rows Get Up: Data structure query routines Previous: psb_cd_get_local_rows Get Contents

### psb_cd_get_local_cols -- Get number of local cols
Keywords: userhtml

    nc = psb_cd_get_local_cols(desc)

On Entry
Type:
  Asynchronous.
desc
  the communication descriptor.
  Scope: local.
  Type: required.
  Intent: in.
  Specified as: a structured data of type descdata`psb_desc_type`.

On Return
Function value
  The number of local cols, i.e. the number of indices used by the current process, including both local and halo indices; as explained in 1, it is equal to . The returned value is specific to the calling process.